## edu.stanford.nlp.trees.tregex.tsurgeon
Class JJTTsurgeonParserState

    java.lang.Object
      edu.stanford.nlp.trees.tregex.tsurgeon.JJTTsurgeonParserState

    public class JJTTsurgeonParserState

extends Object

Constructor Summary
`JJTTsurgeonParserState()`

Method Summary
`void` `clearNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n)`
`void` `closeNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n, boolean condition)`
`void` `closeNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n, int num)`
`int` `nodeArity()`
`boolean` `nodeCreated()`
`void` `openNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n)`
`edu.stanford.nlp.trees.tregex.tsurgeon.Node` `peekNode()`
`edu.stanford.nlp.trees.tregex.tsurgeon.Node` `popNode()`
`void` `pushNode(edu.stanford.nlp.trees.tregex.tsurgeon.Node n)`
`void` `reset()`
`edu.stanford.nlp.trees.tregex.tsurgeon.Node` `rootNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJTTsurgeonParserState

    public JJTTsurgeonParserState()

Method Detail

### nodeCreated

    public boolean nodeCreated()

### reset

    public void reset()

### rootNode

    public edu.stanford.nlp.trees.tregex.tsurgeon.Node rootNode()

### pushNode

    public void pushNode(edu.stanford.nlp.trees.tregex.tsurgeon.Node n)

### popNode

    public edu.stanford.nlp.trees.tregex.tsurgeon.Node popNode()

### peekNode

    public edu.stanford.nlp.trees.tregex.tsurgeon.Node peekNode()

### nodeArity

    public int nodeArity()

### clearNodeScope

    public void clearNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n)

### openNodeScope

    public void openNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n)

### closeNodeScope

    public void closeNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n,
                               int num)

### closeNodeScope

    public void closeNodeScope(edu.stanford.nlp.trees.tregex.tsurgeon.Node n,
                               boolean condition)

Stanford NLP Group